> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook status

Updating a Webhook status can be used to manually disable a Webhook, or reactivate a Webhook that has been disabled.

Disabling a Webhook is a temporary action, allowing for it to be reactivated later, whereas [Deleting a Webhook](https://docs.methodfi.com/2026-03-30/reference/webhooks/delete.md) is a permanent action.

## Path Parameters

## Body

## Returns

Returns the updated Webhook object.

```bash cURL theme={null}
curl https://production.methodfi.com/webhooks/whk_cSGjA6d9N8y8R \
  -X PATCH \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "active"
  }'
```

```javascript Node.js theme={null}
const webhook = await method.webhooks.update('whk_cSGjA6d9N8y8R',{
  status: 'active'
});
```

```python Python theme={null}
webhook = method.webhooks.update('whk_cSGjA6d9N8y8R',{
  'status': 'active'
})
```

```json theme={null}
{
  "id": "whk_cSGjA6d9N8y8R",
  "type": "payment.update",
  "url": "https://reference.example.app/webhook",
  "metadata": null,
  "expand_event": false,
  "status": "active",
  "error": null,
  "created_at": "2025-09-09T00:41:05.647Z",
  "updated_at": "2025-09-09T00:41:05.647Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.